Debian Bug report logs - #707979
ITP: libmodule-pluggable-perl -- automatically give your module the ability to have plugins

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 12 May 2013 12:30:20 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Fixed in version libmodule-pluggable-perl/4.7-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#707979; Package wnpp. (Sun, 12 May 2013 12:30:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 12:30:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmodule-pluggable-perl -- automatically give your module the ability to have plugins
Date: Sun, 12 May 2013 13:17:43 +0100
Package: wnpp
Severity: wishlist
Owner: Dominic Hargreaves <dom@earth.li>

* Package name    : libmodule-pluggable-perl
  Version         : 4.7
  Upstream Author : Simon Wistow <simonw@cpan.org>
* URL             : https://metacpan.org/release/Module-Pluggable
* License         : Perl
  Programming Lang: Perl
  Description     : automatically give your module the ability to have plugins

Provides a simple but, hopefully, extensible way of having 'plugins' for
your module. Essentially all it does is export a method into your namespace
that looks through a search path for .pm files and turn those into class
names. Optionally it instantiates those classes for you.

This module is being deprecated from the perl base distribution in
5.18.0, so it is planned to package it separately to provide continuity.        The perl 5.18 packages will depend on, recommend or suggest deprecated          modules for one release cycle, as appropriate.



Added indication that bug 707979 blocks 702096 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 12 May 2013 12:54:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 21:30:30 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:31 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:31 GMT) Full text and rfc822 format available.

Message #14 received at 707979-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 707979-close@bugs.debian.org
Subject: Bug#707979: fixed in libmodule-pluggable-perl 4.7-1
Date: Fri, 31 May 2013 10:02:24 +0000
Source: libmodule-pluggable-perl
Source-Version: 4.7-1

We believe that the bug you reported is fixed in the latest version of
libmodule-pluggable-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libmodule-pluggable-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 May 2013 20:38:46 +0200
Source: libmodule-pluggable-perl
Binary: libmodule-pluggable-perl
Architecture: source all
Version: 4.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libmodule-pluggable-perl - module for giving  modules the ability to have plugins
Closes: 707979
Changes: 
 libmodule-pluggable-perl (4.7-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #707979)
Checksums-Sha1: 
 2e770d4ddf889aeaa5607e051114e1ed7adfa2f7 2180 libmodule-pluggable-perl_4.7-1.dsc
 c67a76a8157fd72f369f6743e03517ec59f65477 26906 libmodule-pluggable-perl_4.7.orig.tar.gz
 d768e6a62482bc188e4219ba96e1bd4e6f1888bc 1441 libmodule-pluggable-perl_4.7-1.debian.tar.gz
 90d15c08646d05845d270bcd1fbfe4a97e6d058e 25410 libmodule-pluggable-perl_4.7-1_all.deb
Checksums-Sha256: 
 a3f6d4aebae06a28750a3a14a52072311bffc83d619646897f66755836f73b00 2180 libmodule-pluggable-perl_4.7-1.dsc
 f7d9ae87f37ebf12e8ff6396554fb4bcd36291c53443e3fb0904a5955cb80fb5 26906 libmodule-pluggable-perl_4.7.orig.tar.gz
 f9d7004921ab953b92f305187fc1685df648f108ec79ee640cedbd87e40dfbe8 1441 libmodule-pluggable-perl_4.7-1.debian.tar.gz
 ac3dd0ee357aacd051e641350d6e1348243ed5432324bbdbfe4089280e433e4a 25410 libmodule-pluggable-perl_4.7-1_all.deb
Files: 
 d7075513512b9123080e20cfd9d78ab8 2180 perl optional libmodule-pluggable-perl_4.7-1.dsc
 bde569c825bae9fe4a1cf06a7475f741 26906 perl optional libmodule-pluggable-perl_4.7.orig.tar.gz
 cf94ecb1efbdba6ea4a76ea7c93cb232 1441 perl optional libmodule-pluggable-perl_4.7-1.debian.tar.gz
 5a3b05454b8ba9d25b72507a3be779c6 25410 perl optional libmodule-pluggable-perl_4.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmm3OAAoJELs6aAGGSaoGqoUP/jxbeQq4NOqb0CTMLaysxzFr
SNyQCKtJxMVbFoPnx/PLDQCEcIrMLdlIZs64DBxaYU46yVDhYreBvzWhfD18LrW+
FR6Y3jPyAEwapbxxg665i5Eya1OsavrN/ia0KaGOrdjtqNXDpjqa78rJRgNcC5Dg
JXF3wWqHOvLLGbkdbW7ZxPqhl8xA+M5Q47IxKgHkWXOA6t7jt1v6nmWvU41BzVi7
UqDTcWMXF+4YLd/kQ62B3edGdp0cvnbPkwQF4TbEagldubqiTtYFDTz48T1OGQVO
WXhcWLeFEhsz6gM+YBkoAlSe/q/vcfaxcpyCXEb7W6kkO/YCpRpSgMN0/gZp/5p/
R3vmExkv/TjIKIGmj2mjbAVtoj0kHo/UQhc6LXd/oByvaWL/upIy5UZgdOqsLH64
Uv6NNfbqIlylX1IRDp+IID5QaIFAElZN2QD6zhduXiH9Iysf1bQxMgY/Gf4ALNSc
M5Fy+qUpMmgB9R5/NbDtjaE+sjbkdwMqf1UevJ9qPPZbcg1Y8CL2mfTDaeXAFsyZ
/7OIZK6uJoLQ97clZIZ9sAHY/sux8tjipVQQyNuopoUy9MIfogE0zH64GAJzbJNB
4qmtfk+05LjC72ZwSYfQ5mSWGs9j9iNVn8shXdn+Z4AGQajl2qf9PmBle0VAMrl3
M4j9eIpJBlBQPTFRgrI+
=2Hin
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:40:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:24:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.